Bug 1476773 - Review Request: python-subunit2sql - Command to Read a subunit file or stream and put the data in a SQL DB
Review Request: python-subunit2sql - Command to Read a subunit file or stream...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RDO-PIKE
  Show dependency treegraph
 
Reported: 2017-07-31 08:26 EDT by Chandan Kumar
Modified: 2017-08-24 11:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-24 11:51:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Chandan Kumar 2017-07-31 08:26:20 EDT
Spec URL: https://chandankumar.fedorapeople.org/python-subunit2sql.spec
SRPM URL: https://chandankumar.fedorapeople.org/python-subunit2sql-1.8.0-1.fc26.src.rpm
Description: subunit2SQL is a tool for storing test results data in a SQL database. Like it's name implies it was originally designed around converting subunit streams to data in a SQL database and the packaged utilities assume a subunit stream as the input format. However, the data model used for the DB does not preclude using any test result format. Additionally the analysis tooling built on top of a database is data format agnostic. However if you choose to use a different result format as an input for the database additional tooling using the DB api would need to be created to parse a different test result output format. It's also worth pointing out that subunit has several language library bindings available. So as a user you could create a small filter to convert a different format to subunit.

Fedora Account System Username: chandankumar
Successful Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20919605
Comment 1 Matthias Runge 2017-07-31 08:45:19 EDT
taking for review
Comment 2 Chandan Kumar 2017-08-01 03:40:02 EDT
Here is the updated spec file with seperated -graph subpackage.
Spec File: https://chandankumar.fedorapeople.org/python-subunit2sql.spec
SRPM: https://chandankumar.fedorapeople.org/python-subunit2sql-1.8.0-2.fc26.src.rpm

Successful Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20939968

Thanks,

Chandan Kumar
Comment 3 Matthias Runge 2017-08-01 04:37:30 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 56 files have unknown license. Detailed output of
     licensecheck in /home/mrunge/review/1476773-python-
     subunit2sql/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-subunit2sql , python2-subunit2sql-graph , python-subunit2sql-
     doc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.4.2 starting (python version = 3.6.2)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.2
INFO: Mock Version: 1.4.2
Finish: chroot init
INFO: installing package(s): /home/mrunge/review/1476773-python-subunit2sql/results/python2-subunit2sql-1.8.0-2.fc27.noarch.rpm /home/mrunge/review/1476773-python-subunit2sql/results/python-subunit2sql-doc-1.8.0-2.fc27.noarch.rpm /home/mrunge/review/1476773-python-subunit2sql/results/python2-subunit2sql-graph-1.8.0-2.fc27.noarch.rpm
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 27 --disableplugin=local --setopt=deltarpm=False install /home/mrunge/review/1476773-python-subunit2sql/results/python2-subunit2sql-1.8.0-2.fc27.noarch.rpm /home/mrunge/review/1476773-python-subunit2sql/results/python-subunit2sql-doc-1.8.0-2.fc27.noarch.rpm /home/mrunge/review/1476773-python-subunit2sql/results/python2-subunit2sql-graph-1.8.0-2.fc27.noarch.rpm



Rpmlint
-------
Checking: python2-subunit2sql-1.8.0-2.fc27.noarch.rpm
          python2-subunit2sql-graph-1.8.0-2.fc27.noarch.rpm
          python-subunit2sql-doc-1.8.0-2.fc27.noarch.rpm
          python-subunit2sql-1.8.0-2.fc27.src.rpm
python2-subunit2sql.noarch: W: spelling-error Summary(en_US) subunit -> sub unit, sub-unit, suburbanite
python2-subunit2sql.noarch: W: spelling-error %description -l en_US subunit -> sub unit, sub-unit, suburbanite
python2-subunit2sql.noarch: W: spelling-error %description -l en_US api -> API, pi, ape
python2-subunit2sql.noarch: W: no-manual-page-for-binary sql2subunit
python2-subunit2sql.noarch: W: no-manual-page-for-binary sql2subunit-2
python2-subunit2sql.noarch: W: no-manual-page-for-binary sql2subunit-2.7
python2-subunit2sql.noarch: W: no-manual-page-for-binary subunit2sql
python2-subunit2sql.noarch: W: no-manual-page-for-binary subunit2sql-2
python2-subunit2sql.noarch: W: no-manual-page-for-binary subunit2sql-2.7
python2-subunit2sql.noarch: W: no-manual-page-for-binary subunit2sql-db-manage
python2-subunit2sql.noarch: W: no-manual-page-for-binary subunit2sql-db-manage-2
python2-subunit2sql.noarch: W: no-manual-page-for-binary subunit2sql-db-manage-2.7
python2-subunit2sql-graph.noarch: W: spelling-error Summary(en_US) subunit -> sub unit, sub-unit, suburbanite
python2-subunit2sql-graph.noarch: W: spelling-error Summary(en_US) subpackage -> sub package, sub-package, package's
python2-subunit2sql-graph.noarch: E: summary-too-long C Command to Read a subunit file or stream and put the data in a SQL DB graph subpackage
python2-subunit2sql-graph.noarch: W: spelling-error %description -l en_US subunit -> sub unit, sub-unit, suburbanite
python2-subunit2sql-graph.noarch: W: spelling-error %description -l en_US api -> API, pi, ape
python2-subunit2sql-graph.noarch: W: no-documentation
python2-subunit2sql-graph.noarch: W: no-manual-page-for-binary subunit2sql-graph
python2-subunit2sql-graph.noarch: W: no-manual-page-for-binary subunit2sql-graph-2
python2-subunit2sql-graph.noarch: W: no-manual-page-for-binary subunit2sql-graph-2.7
python-subunit2sql-doc.noarch: W: summary-not-capitalized C subunit2sql documentation
python-subunit2sql-doc.noarch: W: spelling-error %description -l en_US subunit -> sub unit, sub-unit, suburbanite
python-subunit2sql-doc.noarch: W: spelling-error %description -l en_US api -> API, pi, ape
python-subunit2sql.src: W: spelling-error Summary(en_US) subunit -> sub unit, sub-unit, suburbanite
python-subunit2sql.src: W: spelling-error %description -l en_US subunit -> sub unit, sub-unit, suburbanite
python-subunit2sql.src: W: spelling-error %description -l en_US api -> API, pi, ape
4 packages and 0 specfiles checked; 1 errors, 26 warnings.




Requires
--------
python-subunit2sql-doc (rpmlib, GLIBC filtered):

python2-subunit2sql (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python-SQLAlchemy
    python-alembic
    python-dateutil
    python-oslo-config
    python-oslo-db
    python-pbr
    python-six
    python-stevedore
    python-subunit

python2-subunit2sql-graph (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python-matplotlib
    python-pandas
    python2-subunit2sql



Provides
--------
python-subunit2sql-doc:
    python-subunit2sql-doc

python2-subunit2sql:
    python-subunit2sql
    python2-subunit2sql
    python2.7dist(subunit2sql)
    python2dist(subunit2sql)

python2-subunit2sql-graph:
    python2-subunit2sql-graph



Source checksums
----------------
https://files.pythonhosted.org/packages/source/s/subunit2sql/subunit2sql-1.8.0.tar.gz :
  CHECKSUM(SHA256) this package     : 9bfad07b696b5d1cbf037fe214976236bb6912f0d9bb8dd770d8453166696ffd
  CHECKSUM(SHA256) upstream package : 9bfad07b696b5d1cbf037fe214976236bb6912f0d9bb8dd770d8453166696ffd


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1476773
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby



While this looks ok, there is still something fishy. I couldn't build it in mock on different machines. The provided scratch-build does not contain any python3 packages.

Please shorten the summary for python2-subunit2sql-graph
Comment 4 Chandan Kumar 2017-08-02 03:48:39 EDT
Thanks Matthias for review the package.
Here is the updated spec with python3 enabled.
SPEC FILE: https://chandankumar.fedorapeople.org/python-subunit2sql.spec

SRPM: https://chandankumar.fedorapeople.org/python-subunit2sql-1.8.0-3.fc26.src.rpm

and successful Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20962508

Thanks,

Chandan Kumar
Comment 5 Matthias Runge 2017-08-02 04:40:38 EDT
ok, now my issues have been fixed. 

Package approved.
Comment 6 Gwyn Ciesla 2017-08-02 08:30:24 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-subunit2sql
Comment 7 Fedora Update System 2017-08-02 11:08:16 EDT
python-subunit2sql-1.8.0-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1f918e3786
Comment 8 Fedora Update System 2017-08-03 20:23:55 EDT
python-subunit2sql-1.8.0-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1f918e3786
Comment 9 Fedora Update System 2017-08-13 00:04:39 EDT
python-subunit2sql-1.8.0-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0df663fe98
Comment 10 Fedora Update System 2017-08-24 11:51:12 EDT
python-subunit2sql-1.8.0-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.